Bug 225824 - databases/adminer: Update to 4.6.1
Summary: databases/adminer: Update to 4.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://github.com/vrana/adminer/blob...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-02-11 13:56 UTC by knezour
Modified: 2018-02-12 12:10 UTC (History)
2 users (show)

See Also:
uzsolt: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description knezour 2018-02-11 13:56:55 UTC
Following patch just updates PORTVERSION and distinfo checksum. Changes from previous version in linked URL.

--- adminer.orig/Makefile       2018-02-11 14:45:40.605969000 +0100
+++ adminer/Makefile    2018-02-11 14:45:55.739174000 +0100
@@ -2,7 +2,7 @@
 # $FreeBSD: head/databases/adminer/Makefile 461096 2018-02-06 19:31:57Z dbaio $

 PORTNAME=      adminer
-PORTVERSION=   4.6.0
+PORTVERSION=   4.6.1
 CATEGORIES=    databases www
 MASTER_SITES=  https://github.com/vrana/adminer/releases/download/v${PORTVERSION}/
 EXTRACT_SUFX=  .php
diff -ruN adminer.orig/distinfo adminer/distinfo
--- adminer.orig/distinfo       2018-02-11 14:45:40.605620000 +0100
+++ adminer/distinfo    2018-02-11 14:46:12.184278000 +0100
@@ -1,3 +1,3 @@
-TIMESTAMP = 1517944407
-SHA256 (adminer-4.6.0.php) = 134513894fc232187c3b1b26c164c6dfb29e4db0b3983a0f42b2682579ecd973
-SIZE (adminer-4.6.0.php) = 457087
+TIMESTAMP = 1518356772
+SHA256 (adminer-4.6.1.php) = 2e98f28862970b342caa8713c49c54402e184141e8c27f02411bef497f20bdf4
+SIZE (adminer-4.6.1.php) = 462311
Comment 1 Zsolt Udvari 2018-02-11 15:39:20 UTC
Thanks for patch. I noticed the new version some day ago but I hadn't time.
The Changelog is here: https://sourceforge.net/p/adminer/news/2018/02/adminer-461-released/
Comment 2 commit-hook freebsd_committer 2018-02-12 12:00:30 UTC
A commit references this bug:

Author: dbaio
Date: Mon Feb 12 12:00:17 UTC 2018
New revision: 461580
URL: https://svnweb.freebsd.org/changeset/ports/461580

Log:
  databases/adminer: Update to 4.6.1

  While here:
    Reorder Makefile.
    Remove <bsd.port.options.mk>, not necessary.

  Changes:	https://sourceforge.net/p/adminer/news/2018/02/adminer-461-released/

  PR:		225824
  Submitted by:	knezour@weboutsourcing.cz
  Approved by:	Zsolt Udvari  <uzsolt@uzsolt.hu> (maintainer)

Changes:
  head/databases/adminer/Makefile
  head/databases/adminer/distinfo
  head/databases/adminer/pkg-descr
Comment 3 Danilo G. Baio freebsd_committer 2018-02-12 12:10:15 UTC
Committed, thank you both!